# Camel K Examples

This folder contains various examples of `Camel K` integrations. You can use them to learn more about the capabilities of Camel K or to inspire your integration development.

## Basic usage examples

In this section you will find the most basic examples. Useful to start learning about Camel K and how to run. You can use many supported languages and learn about the most basic features:

| Type  |  Description | Link  |
|---|---|---|
| User Config | Explore how to include a `property`, `secret`, `configmap` or file `resource` in your integration | [see examples](./user-config/)|
| Processor | Show how to include `Processor`s logic | [see examples](./processor/)|
| Open API | `Open API` support | [see examples](./openapi/)|
| Rest | Produce/Consume `REST`ful services | [see examples](./rest/)|
| Modeline | [Camel K modeline support](https://camel.apache.org/camel-k/latest/cli/modeline.html) | [see examples](./modeline/)|
| Volumes | Produce/Consume files attached to a `PVC` | [see examples](./volumes/)|

## Advanced usage examples

As soon as you will learn the basic stuff, you will like to try the new advanced feature offered by Camel K. Here a few examples:

| Type  |  Description | Link  |
|---|---|---|
| Master | Master support example | [see examples](./master/)|
| OLM | OPERATOR Lifecycle manager installation example | [see examples](./olm/)|
| Polyglot | Polyglot integration examples | [see examples](./polyglot/)|
| Pulsar | Pulsar usage | [see examples](./pulsar/)|
| Saga | Saga pattern example | [see examples](./saga/)|
| Tekton | Tekton tutorial | [see examples](./tekton/)|

## Traits usage examples

Traits configuration will be very helpful to fine tune your `Integration`. Here a few examples:

| Type  |  Description | Link  |
|---|---|---|
| Container | How to customize with `container` trait| [see examples](./traits/container/)|
| JVM | How to use `jvm` trait| [see examples](./traits/jvm/)|